#!/bin/bash
#
# File to actually install the software
# copy main prog

# TODO: Needs to be rechecked!

mkdir -p $DESTDIR/man/man8

cp -a f-prot_gui/* $DESTDIR/bin
cp -a f-prot $DESTDIR/f-prot

# Make starter links
ln -fs $DESTDIR/f-prot/f-prot.sh $DESTDIR/bin/f-prot
ln -fs $DESTDIR/f-prot/check-updates.sh $DESTDIR/bin/check-updates.sh
ln -fs $DESTDIR/f-prot/man8/f-prot.8 $DESTDIR/man/man8/
ln -fs $DESTDIR/f-prot/man8/check-updates.sh.8 $DESTDIR/man/man8/

# Fix pathes
sed 's%/usr/local/f-prot/%'$DESTDIR'/f-prot/%g' f-prot/f-prot.sh > $DESTDIR/f-prot/f-prot.sh

sed 's%/usr/local/f-prot/%'$DESTDIR'/f-prot/%g' f-prot/check-updates.sh > $DESTDIR/f-prot/check-updates.sh

cat << EOF > $DESTDIR/bin/f-prot-autoscan
#!/bin/bash

# Mount all partitions 
for i in \$(cat /etc/fstab | grep -v "#" | awk '{ print \$2}' | egrep "hd|sd"); do sudo mount -o ro \$i; done 

# Run f-prot 
f-prot  \$(cat /etc/fstab | grep -v "#" | awk '{ print \$2}' | egrep "hd|sd") -all -ai -archive -dumb -packed -list -report=/virus.txt 
 
# Unmount them 
for i in \$(cat /etc/fstab | grep -v "#" | awk '{ print \$2}' | egrep "hd|sd"); do sudo umount \$i; done 
EOF

chmod 755 $DESTDIR/bin/f-prot-autoscan
